
-- Convert by schlosserhansel 
-- date:28.02.2011


Convert = {};

function Convert.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations) and SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function Convert:load(xmlFile)
	self.currentFillType = fillType;
	self.convertModeMleko = false
end;
function Convert:delete()
end;

function Convert:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Convert:keyEvent(unicode, sym, modifier, isDown)
end;

function Convert:draw()
	if self.currentFillType == Fillable.FILLTYPE_MILK then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTMLEKO"), self.typeDesc), InputBinding.CONVERTMLEKO);
	end;
	if self.convertModeMleko then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTOFF"), self.typeDesc), InputBinding.CONVERTOFF);
		g_currentMission:addExtraPrintText(string.format(g_i18n:getText("CONVERTMODEMLEKO"), self.typeDesc));
	end;
end;

function Convert:update(dt)	
    if self:getIsActive() then		
		
		if self.currentFillType == Fillable.FILLTYPE_MILK and InputBinding.hasEvent(InputBinding.CONVERTMLEKO) then
                    self.currentFillType = Fillable.FILLTYPE_MLEKO
					self.convertModeMleko = false
					self.convertModeMilk = true
		end;
		if self.currentFillType == Fillable.FILLTYPE_Milk then
			if self.fillLevel == self.capacity then
				if self.convertModeMleko then
                    self.currentFillType = Fillable.FILLTYPE_Mleko
				end;
			end;
		end;
		if InputBinding.hasEvent(InputBinding.CONVERTOFF) then
			self.convertModeMleko = false
		end;
	end;
end;

function Convert:updateTick()
end;